QGIS Application - Feature request #12741

Layer output to file should be loaded inside the TOC with the same name of the file

2015-05-12 08:45 AM - Giovanni Allegri

Status: Open

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20840
Description

When a user saves the ouput of an algorithm to a file, it should be loaded to QGIS with the same name of the output file instead of the

output parameter name.

Related issues:

Related to QGIS Application - Bug report # 12542: Processing: better naming s...
Duplicated by QGIS Application - Feature request # 20849: Give proper layer n...

Closed 2015-04-09
Closed 2018-12-19

History

#1 - 2015-05-12 02:09 PM - Giovanni Manghi
- Status changed from Open to Feedback

you can change this behavior in

processing > options > general > use filename as layer name

#2 - 2015-05-12 02:36 PM - Giovanni Allegri

Thanks Giovanni, | missed that option. Anyway, | think it should be default behaviour when a file is chosen as output, don't you think?

#3 - 2015-05-13 01:02 AM - Giovanni Manghi

Giovanni Allegri wrote:

Thanks Giovanni, | missed that option. Anyway, | think it should be default behaviour when a file is chosen as output, don't you think?

yes | agree, | would prefer that option active by default.

#4 - 2015-05-13 02:16 AM - Giovanni Allegri

I've made a PR: https://github.com/qgis/QGIS/pull/2036

#5 - 2015-06-07 04:05 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

#6 - 2016-06-14 10:26 PM - Jiirgen Fischer
https://github.com/qgis/QGIS/pull/2036

- Status changed from Feedback to Open
- Pull Request or Patch supplied changed from No to Yes

#7 - 2016-06-14 10:27 PM - Jiirgen Fischer
- Pull Request or Patch supplied changed from Yes to No

#8 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#9 - 2018-12-24 10:08 AM - Alexander Bruy
- Duplicated by Feature request #20849: Give proper layer names for ProcessingAlgorithms output layers added

#10 - 2019-01-22 03:38 PM - Chris Peterson
"Use filename as layer name" is not the default for QGIS 3.4.3, and there are no "processing > options" to select the "Use filename as layer name"
behavior.
#11 - 2019-01-22 10:35 PM - Giovanni Manghi
Chris Peterson wrote:
"Use filename as layer name" is not the default for QGIS 3.4.3, and there are no "processing > options" to select the "Use filename as layer name"

behavior.

processing options are now in qgis general options.
